var a;
(a = getApp()),
  Page({
    data: { serviceSumCount: 0, serviceSumMoney: 0 },
    onLoad: function (a) {
      this.getDetail(a.id), this.setData({ id: a.id });
    },
    getDetail: function (t) {
      var e = this,
        o = { openid: wx.getStorageSync("userid"), id: t };
      a.getdata(o, "obdjcid").then((a) => {
        if ((console.log("回调数据：", a), a)) {
          e.setData({ cardata: a.data });
          var t = JSON.parse(a.data.record);
          console.log(t), e.setData({ records: t.data });
        }
      });
    },
    onReady: function () {},
    onShow: function () {},
    onHide: function () {},
    onUnload: function () {},
    onPullDownRefresh: function () {},
    onReachBottom: function () {},
    onShareAppMessage: function () {
      return {
        title: this.data.cardata.obd + "故障码报告",
        path: "/packageA/pages/carobd/carcxjl?id=" + this.data.id,
      };
    },
    onShareTimeline: function () {
      return {
        title: this.data.cardata.obd + "故障码报告",
        path: "packageA/pages/carobd/carcxjl?id=" + this.data.id,
      };
    },
  });
